routes/web.php
<?php


/* --------------------- Common/User Routes START -------------------------------- */

Route::get('/', function () {
    // return view('welcome');
    return redirect('admin/dashboard');
});

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home')->middleware('verified');

/* --------------------- Common/User Routes END -------------------------------- */

/* ----------------------- Admin Routes START -------------------------------- */

Route::prefix('/admin')->name('admin.')->namespace('Admin')->group(function () {

    /**
     * Admin Auth Route(s)
     */
    Route::namespace('Auth')->group(function () {

        //Login Routes
        Route::get('/login', 'LoginController@showLoginForm')->name('login');
        Route::post('/login', 'LoginController@login');
        Route::post('/logout', 'LoginController@logout')->name('logout');

        //Register Routes
        // Route::get('/register','RegisterController@showRegistrationForm')->name('register');
        // Route::post('/register','RegisterController@register');

        //Forgot Password Routes
        Route::get('/password/reset', 'ForgotPasswordController@showLinkRequestForm')->name('password.request');
        Route::post('/password/email', 'ForgotPasswordController@sendResetLinkEmail')->name('password.email');

        //Reset Password Routes
        Route::get('/password/reset/{token}', 'ResetPasswordController@showResetForm')->name('password.reset');
        Route::post('/password/reset', 'ResetPasswordController@reset')->name('password.update');

        // Email Verification Route(s)
        Route::get('email/verify', 'VerificationController@show')->name('verification.notice');
        Route::get('email/verify/{id}', 'VerificationController@verify')->name('verification.verify');
        Route::get('email/resend', 'VerificationController@resend')->name('verification.resend');
    });

    Route::get('/dashboard', 'HomeController@index')->name('home');
    Route::get('/settings', 'HomeController@settings')->name('settings');
    Route::post('/updateSettings', 'HomeController@updateSettings')->name('updateSettings');

    // User Management
    Route::get('/users', 'UserController@index')->name('user');
    Route::get('/getUserListings', 'UserController@getUserListings')->name('getUserListings');
    Route::get('/user/{id}', 'UserController@show')->name('user.show');
    Route::get('/user/{id}/edit', 'UserController@edit')->name('user.edit');
    Route::post('/user/{id}/edit', 'UserController@doEdit')->name('user.do-edit');
    Route::get('/user/{id}/delete', 'UserController@delete')->name('user.delete');

    // NPO Management
    Route::get('/npo-listings', 'NPOController@index')->name('npo');
    Route::get('/getNPOListings', 'NPOController@getNPOListings')->name('getNPOListings');
    Route::get('/add-npo', 'NPOController@add')->name('npo.add');
    Route::post('/addNpo', 'NPOController@addNpo')->name('npo.do-addNpo');
    Route::get('/npo/{id}', 'NPOController@show')->name('npo.show');
    Route::get('/npo/{id}/edit', 'NPOController@edit')->name('npo.edit');
    Route::post('/npo/{id}/edit', 'NPOController@doEdit')->name('npo.do-edit');
    Route::get('/npo/{id}/delete', 'NPOController@delete')->name('npo.delete');

    // NPO Categories
    Route::get('/npo-categories', 'NpoCategoriesController@index')->name('npocategories');
    Route::get('/getNPOCategoryListings', 'NpoCategoriesController@getNPOCategoryListings')->name('getNPOCategoryListings');
    Route::get('/add-npo-category', 'NpoCategoriesController@create')->name('npocategories.add-npo-category');
    Route::post('/createNpoCategory', 'NpoCategoriesController@createNpoCategory')->name('createNpoCategory');
    Route::get('/npo-categories/{id}/edit', 'NpoCategoriesController@edit')->name('npocategories.edit-npo-category');
    Route::post('/npo-categories/{id}/edit', 'NpoCategoriesController@updateNpoCategory')->name('updateNpoCategory');


    // NPO Coupons
    Route::get('/coupons', 'CouponController@index')->name('coupons');
    Route::get('/getCouponListings', 'CouponController@getCouponListings')->name('getCouponListings');
    Route::get('/add-coupon', 'CouponController@create')->name('coupons.add-coupon');
    Route::post('/createCoupon', 'CouponController@createCoupon')->name('createCoupon');
    Route::get('/coupons/{id}/edit', 'CouponController@edit')->name('coupons.edit-coupon');
    Route::post('/coupons/{id}/edit', 'CouponController@updateCoupon')->name('updateCoupon');   

    // Giveaways
    Route::get('/giveaways', 'GiveawaysController@index')->name('giveaways');
    Route::get('/getGiveawaysListings', 'GiveawaysController@getGiveawaysListings')->name('getGiveawaysListings');
    Route::get('/add-giveaway', 'GiveawaysController@create')->name('giveaways.add-giveaway');
    Route::post('/createGiveaway', 'GiveawaysController@createGiveaway')->name('createGiveaway');
    Route::get('/giveaways/{id}/edit', 'GiveawaysController@edit')->name('giveaways.edit-giveaway');
    Route::post('/giveaways/{id}/edit', 'GiveawaysController@updateGiveaway')->name('updateGiveaway'); 


    // Champions
    Route::get('/champions', 'ChampionsController@index')->name('champions');
    Route::get('/getChampionsListings', 'ChampionsController@getChampionsListings')->name('getChampionsListings');
    Route::get('/add-champion', 'ChampionsController@create')->name('champions.add-champion');
    Route::post('/createChampion', 'ChampionsController@createChampion')->name('createChampion');
    Route::get('/champions/{id}/edit', 'ChampionsController@edit')->name('champions.edit-champion');
    Route::post('/champions/{id}/edit', 'ChampionsController@updateChampion')->name('updateChampion'); 


    //Put all of your admin routes here...

});

/* ----------------------- Admin Routes END -------------------------------- */

resources/views/inc/navbar.blade.php
@if(Auth::guard('admin')->check())
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <div class="sidebar">

        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            
            <div class="info">
                <a href="#" class="d-block">Hello {{ Auth::guard('admin')->user()->name }}</a>
            </div>
        </div>
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                


                <li class="nav-item">
                    <a href="{{ route('admin.home') }}" class="nav-link">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>Dashboard</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('admin.user') }}" class="nav-link">
                        <i class="nav-icon fas fa-users"></i>
                        <p>Users</p>
                    </a>
                </li>


                <li class="nav-item has-treeview">
                    <a href="javascript:void(0)" class="nav-link">
                        <i class="nav-icon fas fa-users"></i>
                        <p>
                            Non Profits
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('admin.npo') }}" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Non Profits</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('admin.npo.add') }}" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add New</p>
                            </a>
                        </li> 
                        <li class="nav-item has-treeview">
                            <a href="javascript:void(0)" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>
                                    Categories
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="{{ route('admin.npocategories') }}" class="nav-link">
                                        <i class="far fa-dot-circle nav-icon"></i>
                                        <p>All Categories</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ route('admin.npocategories.add-npo-category') }}" class="nav-link">
                                        <i class="far fa-dot-circle nav-icon"></i>
                                        <p>Add New</p>
                                    </a>
                                </li>


                            </ul>
                        </li>

                    </ul>
                </li>


                <li class="nav-item">
                    <a href="{{ route('admin.giveaways') }}" class="nav-link">
                        <i class="nav-icon fas fa-award"></i>
                        <p>Giveaways</p>
                    </a>
                </li>


                <li class="nav-item">
                    <a href="{{ route('admin.champions') }}" class="nav-link">
                        <i class="nav-icon fas fa-award"></i>
                        <p>Champions</p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="{{ route('admin.coupons') }}" class="nav-link">
                        <i class="nav-icon fas fa-tags"></i>
                        <p>Coupons</p>
                    </a>
                </li>

              

                <li class="nav-item">
                    <a href="{{ route('admin.settings') }}" class="nav-link">
                        <i class="nav-icon fas fa-user-cog"></i>
                        <p>Settings</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="javasript:void(0)" onclick="event.preventDefault();
                                                document.querySelector('#admin-logout-form').submit();" class="nav-link">
                        <i class="nav-icon fas fa-sign-out-alt"></i>
                        <p>Sign Out</p>
                    </a>

                    <form id="admin-logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
                </li>



            </ul>
        </nav>

    </div>
</aside>
@endif